package com.dla.dda.domain.model.response;

import java.io.Serializable;
import java.util.List;

import com.dla.dda.domain.constants.ErrorCodes;
import com.dla.dda.domain.contrato.ContratoDDA;

/**
 * @see Representacion de los objetos de contrato de DDA
 * @author montieln
 *
 */
public class ContratoResponse implements Serializable {

	private static final long serialVersionUID = 1L;

	private List<ContratoDDA> contratos;

	private ErrorCodes responseCode;

	public List<ContratoDDA> getContratos() {
		return contratos;
	}

	public void setContratos(List<ContratoDDA> contratos) {
		this.contratos = contratos;
	}

	public ErrorCodes getResponseCode() {
		return responseCode;
	}

	public void setResponseCode(ErrorCodes responseCode) {
		this.responseCode = responseCode;
	}

	@Override
	public String toString() {
		return "ContratoResponse [contratos=" + contratos + ", responseCode=" + responseCode + "]";
	}

}
